Copy & Paste From Attribute Table w/ Underscores Causes Wrap

2013-05-23 11:31 PM - Damien Smith

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 16764

Description

When copying from the attribute table and pasting to Excel, any string field in a SHP file that contains underscores causing the data to

wrap in Excel.  Only tested on Windows XP.

See attached screenshot.

History

#1 - 2013-05-24 03:17 AM - Giovanni Manghi

- Status changed from Open to Feedback

Does not happen with LibreOffice. Maybe this is a MS Office issue, not a QGIS one(?). Cheers.

#2 - 2013-05-26 10:19 AM - Giuseppe Sucameli

It may not depend on underscores, probably those strings ends with a newline.

#3 - 2013-05-26 10:21 AM - Giuseppe Sucameli

Have you tried with different shapefiles or just that one? 

Could you provide a sample dataset we can use to reproduce the issue?

#4 - 2013-05-27 06:49 PM - Damien Smith

The data had carriage returns on the end.  My apologies.

#5 - 2013-05-27 06:49 PM - Damien Smith

- Status changed from Feedback to Closed

#6 - 2013-05-27 06:50 PM - Nathan Woodrow

- Resolution set to invalid

Files

WRAP.PNG 121 KB 2013-05-23 Damien Smith
